#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'paket.edit_paket'}
#{/set}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paket.daftar'} 222</a>
    <li class="active">&{'lelang_doc.edit_paket'}</li>
</ol>

<div class="content">
    #{alert /}
        #{stepper steppers /}
    #{form @nonlelang.PaketPlCtr.simpan(paket.pkt_id), id:'formTambahPaket', method:'POST'}
        <input type="hidden" name="step" value="${currentStep}" />
    <table class="table table-sm table-bordered">
        #{if currentStep == 1 }
            #{include '/nonlelang/paket/paket-pl-edit-part1.html'/}
        #{/if}
        #{elseif currentStep == 2 }
            #{include '/nonlelang/paket/paket-pl-edit-part2.html'/}
        #{/elseif}
    </table>
    <div class="form-group row">
        <div class="col-10">
            #{if currentStep == 1}
                #{backButton action:@nonlelang.PaketPlCtr.index(), title:'Daftar Paket' /}
            #{/if}

            #{if currentStep > 1}
                <a class="btn btn-secondary " href="?step-1"><i class="fa fa-arrow-circle-left fa-fw"></i> ${prev}</a>
            #{/if}

            #{if (allowToShowSaveButton || paket.isEditableByKuppbj()) && currentStep == steppers.size() }
                #{saveButton title:saveButtonTitle /}
            #{/if}

            #{if currentStep < steppers.size() }
                #{nextButton title:saveButtonTitle /}
            #{/if}

        </div>
    </div>
    #{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Wajib diisi.</div>
</div>

#{set 'css_custom'}
<style>

        .stepper {
            clear: left;
            float: left;
            margin: 20px;
        }

        .step {
            float: left;
            font-size: 12px;
            margin: 0 12px;
        }

        .stepper-divider {
            border-bottom: 1px solid #cfcfcf;
            float: left;
            height: 12px;
            margin: 0 12px;
            width: 45px;
        }

        .stepper-circle {
            background: #cfcfcf;
            border-radius: 50%;
            color: #ffffff;
            float: left;
            font-size: 13px;
            height: 24px;
            line-height: 24px;
            text-align: center;
            width: 24px;
        }

        .stepper-title {
            color: #cfcfcf;
            float: left;
            line-height: 24px;
            margin-left: 8px;
        }

        .stepper-active .stepper-circle {
            background: #428bca;
        }
        .stepper-active .stepper-title {
            color: #5b5b5b;
            font-weight: 600;
        }

        .stepper-complete .stepper-circle {
            background: #428bca;
        }
        .stepper-complete .icon {
            font-size: 30px;
            position: relative;
            top: -3px;
        }
        .stepper-complete .stepper-title {
            color: #333;
            font-weight: 600;
        }

    </style>
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/jquery.maskedinput.min.js'/}"></script>
<script type="text/javascript">  
var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
$(document).on('change', 'select.propinsi', function(){
	console.log('update')
   var id = $(this).val();
   $.cookie("paket_edit_propinsi_id", id, {expires:365, path:'${request.path}'});
   var kabupaten = $(this).parent().parent().parent().find('select.kabupaten')   
   $.getJSON(kabUrl.url({id:id}), function(data){
	  var options = '';
	  for (var i = 0; i < data.length; i++) {
	     options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
	  }
	  kabupaten.html(options);
	  kabupaten.selectpicker('refresh');
  })   
})

$(document).on('click', '.removeBtn', function(){
  $(this).parent().parent().remove()
});

$("select[name='paket.ukpbj_id']").change(function () {
    console.log("oi");
    var val = $(this).val();
    if(val != ""){
        console.log("test");
        $("#pilihPp").attr("disabled",true);
        $("#pilihPp").css("pointer-events","none");
    }else{
        console.log("testa");
        $("#pilihPp").attr("disabled",false);
        $("#pilihPp").css("pointer-events", "");
    }
});

$("#tambahLokasi").click(function(){
  var options = $('#tblLokasi tr select[name="propinsiId[]"]').html();
  var ind = $('#tblLokasi tr').length - 1
  var prop_id= $.cookie("paket_edit_propinsi_id"); 
  var addLokasi = '<tr><td><select name="propinsiId[]" class="form-control propinsi" data-live-search="true" data-width="auto">'+options+'</select></td>'+
                  '<td><select name="lokasi['+ind+'].kbp_id" class="form-control kabupaten" data-placeholder="pilih kabupaten" data-live-search="true" data-width="auto"></select></td>'+
                  '<td><input type="text" class="form-control" name="lokasi['+ind+'].pkt_lokasi" placeholder="Alamat Detail"></td>'+
                  '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
	 $("#tblLokasi").append(addLokasi);
     $("select[name='propinsiId[]']").last().prop('selectedIndex',0);
	 $('#tblLokasi tr select[name="propinsiId[]"]').selectpicker('refresh');	   	  
})
</script>
#{/set}
